Download it now!
Bug 117410 - UI: Settings in PDF Options not remembered for next export
Summary: UI: Settings in PDF Options not remembered for next export
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Matteo Casalin
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: PDF-Export-Options-Dialog
  Show dependency treegraph
 
Reported: 2018-05-03 13:12 UTC by Cor Nouws
Modified: 2019-06-14 11:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2018-05-03 13:12:50 UTC
I tried with a clean user profile

New Writer file, text foo.
File > Export > Export as PDF
Change setting: Losseles and uncheck Create PDF Form
Export, <name>, OK

New Writer file
File > Export > Export as PDF
  > Options Lossles is not chosen, Create PDF Form is checked.

Expected:
  Settings are preserved for next export
Also, for as far as relevant, for export in different modules.

Regression.

Seen in Version: 6.1.0.0.alpha1+
Build ID: 8a2745e1beee722c8c9691c397e493cc1160bedf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-04-30_23:34:23
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 2 Timur 2018-05-16 10:51:45 UTC
Export as PDF doesn't export comments. Is it the same regression?
Comment 3 Commit Notification 2018-06-03 10:19:00 UTC
Matteo Casalin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85613aa81a885488f99ed038f2254ddb0c8a1037

Fix tdf#117410 - UI: Settings in PDF Options not remembered...

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2018-06-08 07:49:54 UTC
Matteo, can you please backport fix to 6.1 and note whether "Export as PDF doesn't export comments" is the same regression or I should report it as a separate bug? .
Comment 5 Matteo Casalin 2018-06-11 20:22:47 UTC
I tried to backport to 6.1 but it seems that I don't have push rights on that branch.
About export of PDF comments, I really don't know if it can be related to this issue: I don't know when the issue was detected nor which steps are required to reproduce it. If you can provide some more details I might be able to perform a quick test.
Comment 6 Matteo Casalin 2018-06-11 20:32:32 UTC
I asked the mailing list if someone can backport such path, in the meanwhile.
Comment 7 Commit Notification 2018-06-12 03:36:39 UTC
Matteo Casalin committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=43df64affb71e9cd17cfaf936d142dad95b280f7&h=libreoffice-6-1

Fix tdf#117410 - UI: Settings in PDF Options not remembered...

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Timur 2018-06-13 17:17:36 UTC
Sorry for making noise. PDF exports comments, it's just my old PDF viewer that wasn't showing them. 
Please close as Fixed.
Comment 9 Xisco Faulí 2018-06-14 10:26:02 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 1cf27cb44380f4a2bd6778c2dbbdef2a2a00cbc8
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Matteo, Thanks for fixing this!!